# Type Alias ObservablePropertyPath<T, Depth>

ObservablePropertyPath<T, Depth>: Depth["length"] extends 3
? never
: NestedObjectPaths<T, Depth>

Represents a path to a property on an observable or esri class with a base class of accessor. Only traverses to 3 levels deep.

Examples:

"foo" | "bar.baz" | "foo.bar.baz" | "foo.bar.baz.qux".

Note: This is a complex recursive type that should only be used for function definitions related to the observable watch system. It is not intended to be used for general purposes and should not be used by casts or other type manipulations. Do not set the Depth type parameter.

#### Type Parameters

- T extends Observable
- Depth extends number[] = []